import ReactDOM from 'react-dom/client'
import App from './App.tsx'
import './index.css'
import {StyleProvider, legacyLogicalPropertiesTransformer} from "@ant-design/cssinjs";

ReactDOM.createRoot(document.getElementById('root')!).render(
    <StyleProvider hashPriority="high" transformers={[legacyLogicalPropertiesTransformer]}>
    <App/>
    </StyleProvider>
    // <React.StrictMode>
    //     <App/>
    // </React.StrictMode>,
)
