import {MouseEvent} from "react";

export interface IMenuListItem {
    id: string;
    icon?: string;
    name: string;
    active?: boolean;
}

export interface IMenuButton {
    name: string;

    handle(e: MouseEvent<HTMLDivElement>): void;
}

export interface IMenuWithTopButton {
    button: IMenuButton;
    list: Array<IMenuListItem>;

    handleListItem(e: MouseEvent<HTMLLIElement>, index: number, item: IMenuListItem): void;

}